> ## Documentation Index
> Fetch the complete documentation index at: https://dev.pika.art/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 2.2 Pikascenes

> Combine your images to create a video with the objects in them. Upload multiple images as ingredients and generate a high-quality video that incorporates all of them.



## OpenAPI

````yaml post /generate/2.2/pikascenes
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /generate/2.2/pikascenes:
    post:
      summary: Generate 2 2 C2V
      operationId: generate_2_2_c2v_generate_2_2_pikascenes_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_generate_2_2_c2v_generate_2_2_pikascenes_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST 'https://devapi.pika.art/generate/2.2/pikascenes' \
            -H 'X-API-KEY: your_api_key' \
            -H 'Accept: application/json' \
            -F 'images=@person.jpg;type=image/jpg' \
            -F 'images=@tomato.jpg;type=image/jpg' \
            -F 'images=@knife.jpg;type=image/jpg' \
            -F 'ingredientsMode=precise' \
            -F 'promptText=A person cuts a tomato with a knife' \
            -F 'negativePrompt=blurry, low quality' \
            -F 'seed=12345'
        - lang: python
          label: Python
          source: >

            import requests


            url = "https://devapi.pika.art/generate/2.2/pikascenes"

            payload = {
                "ingredientsMode": "precise",
                "promptText": "A person cuts a tomato with a knife",
                "negativePrompt": "blurry, low quality",
                "seed": 12345,
                "duration": 10,
                "resolution": "1080p"
            }

            headers = {
                "X-API-KEY": "your_api_key",
                "Accept": "application/json"
            }

            files = [
                ("images", ("person.jpg", open("person.jpg", "rb"), "image/jpg")),
                ("images", ("tomato.jpg", open("tomato.jpg", "rb"), "image/jpg")),
                ("images", ("knife.jpg", open("knife.jpg", "rb"), "image/jpg"))
            ]

            response = requests.post(url, data=payload, headers=headers,
            files=files)

            print(response.json())
components:
  schemas:
    Body_generate_2_2_c2v_generate_2_2_pikascenes_post:
      properties:
        images:
          items:
            type: string
            format: binary
          type: array
          title: Images
          max_items: 6
          min_items: 1
        ingredientsMode:
          type: string
          enum:
            - creative
            - precise
          title: Ingredientsmode
        promptText:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompttext
        negativePrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Negativeprompt
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
        resolution:
          type: string
          title: Resolution
          default: 1080p
        duration:
          type: integer
          title: Duration
          default: 5
        aspectRatio:
          anyOf:
            - type: number
              maximum: 2.5
              minimum: 0.4
            - type: 'null'
          title: Aspectratio
          description: Aspect ratio (width / height)
      type: object
      required:
        - images
        - ingredientsMode
      title: Body_generate_2_2_c2v_generate_2_2_pikascenes_post
    GenerateResponse:
      properties:
        video_id:
          type: string
          title: Video Id
      type: object
      required:
        - video_id
      title: GenerateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````